Environments
Environment labels.
4 endpoints · Plakar Control Plane v0.18 · Base URL, authentication and errors
List the environments
GET
Badge
/api/v1/account/organizations/{id}/environments
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Response 200 OK application/json
-
environmentsarray[string]
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/environments' \
-H 'Authorization: Bearer <badge>'Response 200
{
"environments": [
"string"
]
}Create an environment
POST
Badge
/api/v1/account/organizations/{id}/environments
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Request body application/json required
-
created_atstring<date-time> -
environmentstring -
idstring<uuid> -
updated_atstring<date-time>
Response 200 OK application/json
-
created_atstring<date-time> -
environmentstring -
idstring<uuid> -
updated_atstring<date-time>
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X POST 'https://pcp.example.com/api/v1/account/organizations/{id}/environments' \
-H 'Authorization: Bearer <badge>' \
-H 'Content-Type: application/json' \
-d '{
"created_at": "2026-01-01T00:00:00Z",
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}'Response 200
{
"created_at": "2026-01-01T00:00:00Z",
"environment": "string",
"id": "3f1e4a2c-9b7d-4e0f-8a11-2c5d6e7f8a90",
"updated_at": "2026-01-01T00:00:00Z"
}Search the environments
GET
Badge
/api/v1/account/organizations/{id}/environments/search
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s.
Query parameters
-
namestring requiredEnvironment name to search for.
Response 200 OK application/json
-
environmentsarray[string]
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl 'https://pcp.example.com/api/v1/account/organizations/{id}/environments/search' \
-H 'Authorization: Bearer <badge>'Response 200
{
"environments": [
"string"
]
}Delete an environment
DELETE
Badge
/api/v1/account/organizations/{id}/environments/{name}
Path parameters
-
idstring<uuid> requiredOrganization ID, at or below the caller’s. -
namestring required
Response 200 OK application/json
Errors
- 400 Bad Request (validation or deserialization error)
- 401 Missing, invalid or expired credentials
- 403 The caller may not do this
- 500 Internal Server Error (panics)
Every error returns the standard error body.
Request
curl -X DELETE 'https://pcp.example.com/api/v1/account/organizations/{id}/environments/{name}' \
-H 'Authorization: Bearer <badge>'Response 200
{}